package com.bcxin.message.common.exception;

/**
 * 令牌错误
 */
public class TokenException extends AbstractRuntimeException {

    /**
     * 具有明细错误消息的异常
     *
     * @param detailMessage 错误消息明细
     */
    private TokenException(String detailMessage) {
        super(detailMessage);
    }

    /**
     * 错误的令牌
     *
     * @return
     */
    public static TokenException exception() {
        return new TokenException("错误的用户令牌");
    }


}
